<table mat-table [dataSource]="schemesList" class="mat-elevation-z8 full-width">

  <ng-container matColumnDef="name">
    <th mat-header-cell *matHeaderCellDef> Name </th>
    <td mat-cell *matCellDef="let scheme"> {{scheme.name}} </td>
  </ng-container>

  <ng-container matColumnDef="description">
    <th mat-header-cell class="padding-right-1" *matHeaderCellDef> Description </th>
    <td mat-cell *matCellDef="let scheme"> {{scheme.description}} </td>
  </ng-container>

  <ng-container matColumnDef="triggerName">
    <th mat-header-cell *matHeaderCellDef> Trigger Name </th>
    <td mat-cell *matCellDef="let scheme">
      {{determineTriggerName(scheme.trigger)}}
    </td>
  </ng-container>

  <ng-container matColumnDef="interimTriggerName">
    <th mat-header-cell *matHeaderCellDef> Interim Trigger Name </th>
    <td mat-cell *matCellDef="let scheme">
      {{scheme.interimtrigger > 0 ? 'Early contract termination notice' : ''}}
    </td>
  </ng-container>

  <ng-container matColumnDef="effectiveDeadlineInfo">
    <th mat-header-cell *matHeaderCellDef> Effective Deadline Info </th>
    <td mat-cell *matCellDef="let scheme">
      {{scheme.lbmanEffectivedeadlineinfo > 0 ? plannedPersonalData : ''}}
    </td>
  </ng-container>

  <ng-container matColumnDef="tableButtons">
    <th mat-header-cell *matHeaderCellDef>
      <button mat-raised-button color="primary" [routerLink]="'/add'">
        New
        <mat-icon>add</mat-icon>
      </button>
    </th>
    <td mat-cell *matCellDef>
      <div>
        <button mat-icon-button color="primary">
          <mat-icon>archive</mat-icon>
        </button>
        <button mat-icon-button color="warn">
          <mat-icon>delete</mat-icon>
        </button>
      </div>
      <button mat-icon-button color="accent">
        <mat-icon>edit</mat-icon>
      </button>
      <button mat-icon-button>
        <mat-icon>visibility</mat-icon>
      </button>
    </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

</table>
